### Method

# FwupdPlugin Context lookup_quirk_by_id

#### Declaration [src]

    const gchar*
    fu_context_lookup_quirk_by_id (
      FuContext* self,
      const gchar* guid,
      const gchar* key
    )

#### Description [src]

Looks up an entry in the hardware database using a string value.

Available since: | 1.6.0

#### Parameters

`guid` | `const gchar*`
| GUID to lookup.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`key` | `const gchar*`
| An ID to match the entry, e.g. `Summary`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `const gchar*`
| Values from the database, or `NULL` if not found.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.